
package de.ivu.elect.presentation.person.table;

import de.ivu.elect.business.person.entity.Personendaten;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.presentation.person.PersonendatenFormatter;

public abstract class AbstractPersonendatenFormattedColumn<E extends Personendaten> extends AbstractPersonendatenColumn<E> {

  private static final long serialVersionUID = 1L;

  private final PersonendatenFormatter personendatenFormatter;

  protected AbstractPersonendatenFormattedColumn(String id, Messages messages, PersonendatenFormatter personendatenFormatter) {
    super(id, messages, null, null, null);

    this.personendatenFormatter = personendatenFormatter;
  }

  @Override
  public boolean isRendered() {
    return true;
  }

  protected PersonendatenFormatter getFormatter() {
    return personendatenFormatter;
  }
}
